<div class="cell cell-padding flic-cell-button-header {{button.color}}">
    
    {{#isButton}}
    
    <div class="button-image-div"><img width="120" class="icon {{button.color}}" src="task_flic_white.png"/></div>

    <div class="button-name-div">
        <input name="buttonDetailsNameInput" id="buttonDetailsNameInput" type="text" value="{{button.name}}" placeholder="My Flic" oninput="textFieldInteraction('buttonDetailsNameInput','valueChanged');" onfocus="" onkeyup="textFieldInteraction('buttonDetailsNameInput','onEnter');">
    </div>
    
    <div class="button-clicks-div"><p id="button-click-counter-p">{{button.presscount}} clicks</p></div>
    
    {{^isButton}}
    
    <div class="button-image-div"><img width="120" class="icon" src="{{button.iconName}}.png"/></div>
    
    <div class="button-name-div">
        <input name="buttonDetailsNameInput" id="buttonDetailsNameInput" type="text" value="{{button.name}}" placeholder="My Widget" oninput="textFieldInteraction('buttonDetailsNameInput','valueChanged');" onfocus="" onkeyup="textFieldInteraction('buttonDetailsNameInput','onEnter');">
            </div>
    
    <div class="button-clicks-div"><p id="button-click-counter-p">Widget</p></div>
    
    {{/isButton}}
    
    
</div>


<div class="main-div-partial-bottom">
    
    <div class="main-div pb16" id="main-div-cells">
        
        {{#triggers}}
        
        <div class="cell cell-padding-small flic-cell-right-left-logo">
            <div class="pl16 pt7 pb7"><img width="40" class="icon" src="{{lefticon}}"/></div>
            <div class="text-align-left mt11 ml16 tsz16"><p>{{triggerName}}</p></div>
        </div>
        
        <div class="flic-cell-wrap-around">
            
            {{#actions}}
            
            <div class="cell cell-padding-small flic-cell-right-left-logo flic-cell-hover flic-cell-border-bottom" onClick="request('editAction', {'trigger': '{{trigger}}', 'buttonUuid': '{{button.buttonUuid}}', 'actionUuid': '{{actionUuid}}'});">
                <div class="pl11 pt7 pb7"><img width="30" class="icon" src="{{icon}}.png"/></div>
                
                <div class="title-subtitle">
                    <p class="title">{{name}}</p>
                    <p class="subtitle">{{subtitle}}</p>
                </div>
                
            </div>
            
            {{/actions}}
            
            <div class="cell cell-padding-small flic-cell-right-left-logo flic-cell-hover" onClick="request('listActionTypes', {'buttonUuid': '{{button.buttonUuid}}', 'trigger': '{{trigger}}'});">
                <div class="pl11 pt7 pb7"><img width="30" class="icon" src="plus-button-no-shadow.png"/></div>
                
                <div class="title-subtitle">
                    <p class="title">Add action</p>
                </div>
                
            </div>
            
            <div class="cell"></div>
            
        </div>
        
        {{/triggers}}
        
    </div>
    
    
    <div class="main-div-partial-right-panel">
        
        {{#isButton}}
        {{#button.connectButton}}
        
        <div class="right-panel-button" onClick="request('buttonDetailsViewEvent', {'type': 'connectButton','buttonUuid': '{{button.buttonUuid}}'});">
            <div class="leftimage">
                <img width="15" src="mac-icon-wireless.png"/>
            </div>
            <div>
                <p>Connect</p>
            </div>
        </div>
        
        {{/button.connectButton}}
        
        {{^button.connectButton}}
        
        <div class="right-panel-button" onClick="request('buttonDetailsViewEvent', {'type': 'disconnectButton','buttonUuid': '{{button.buttonUuid}}'});">
            <div class="leftimage">
                <img width="15" src="mac-icon-wireless.png"/>
            </div>
            <div>
                <p>Disconnect</p>
            </div>
        </div>
        
        {{/button.connectButton}}
        {{/isButton}}
        
        {{^isButton}}
        
        <div class="right-panel-button" onClick="request('taskChooseAppearence', {'uuid': '{{button.buttonUuid}}'});">
            <div class="leftimage">
                <img width="15" src="mac-icon-wireless.png"/>
            </div>
            <div>
                <p>Customize</p>
            </div>
        </div>
        
        {{/isButton}}
        
        <div class="right-panel-button delete" onClick="request('buttonDetailsViewEvent', {'type': 'deleteButton','buttonUuid': '{{button.buttonUuid}}'});">
            <div class="leftimage">
                <img width="15" src="mac-icon-cross.png"/>
            </div>
            <div>
                <p>Delete</p>
            </div>
        </div>
        
    </div>
    
</div>
